# eric4.Plugins.VcsPlugins.vcsPySvn.SvnInfoDialog

Module implementing a dialog to show repository related information for a file/directory.

### Global Attributes

None

### Classes

SvnInfoDialog | Class implementing a dialog to show repository related information for a file/directory.

### Functions

None

## SvnInfoDialog

Class implementing a dialog to show repository related information for a file/directory.

### Derived from

QDialog, SvnDialogMixin, Ui_VcsRepositoryInfoDialog

### Class Attributes

None

### Methods

SvnInfoDialog | Constructor
__showError | Private slot to show an error message.
start | Public slot to start the svn info command.

#### SvnInfoDialog (Constructor)

SvnInfoDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnInfoDialog.__showError

__showError(msg)

Private slot to show an error message.

msg
  error message to show (string or QString)

#### SvnInfoDialog.start

start(projectPath, fn)

Public slot to start the svn info command.

projectPath
  path name of the project (string)
fn
  file or directory name relative to the project (string)

Up